<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra la descripción de la depuración geográfica requerida cuando
                se registran inconsistencias
@cu 			CU-TV-PR-002
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros


-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="descripcionDepuracionGeograficaForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsDescripcionDepuracionGeografica" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="13" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="descripcionDepuracionGeograficaFS">
        <legend>
            <h:outputText value="Descripción depuración geográfica"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="2">

            <h:panelGrid columns="2">
                <h:outputLabel value="Descripción depuración geográfica:"	styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:selectOneMenu
                id="descripciónDepuracionGeografica"
                label="Descripción depuración geográfica" 
                value="#{managedBeanParam.productoCatastralDetalleSeleccionado.depuracionGeoDescripcion}"
                required="true" >
                <f:selectItems value="#{general.proCatDetDescripcionDepuracionGeograficaV}" />
                <p:ajax process="@this" event="change" update="descripcionDepuracionGeograficaFS"
                        onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" 
                        listener="#{managedBeanParam.cambioDepuracionGeograficaSel}" />
            </h:selectOneMenu>

            <h:panelGrid columns="2" rendered="#{managedBeanParam.activarDepuracionGeoOtro}">
                <h:outputLabel value="Descripción otro: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:inputText id="descripcionOtro" required="true"
                         rendered="#{managedBeanParam.activarDepuracionGeoOtro}"
                         value="#{managedBeanParam.productoCatastralDetalleSeleccionado.depuracionGeoOtro}"
                         label="Depuración geográfica otro" />

            <h:outputLabel value="Nota: "
                           styleClass="outputLabelStyle" />

            <h:inputText id="nota"
                         value="#{managedBeanParam.productoCatastralDetalleSeleccionado.depuracionGeoNota}"
                         label="Nota" />

            <p:commandButton value="Aceptar"
                             update="msgsDescripcionDepuracionGeografica, :consultarPorDatosPredioForm:prediosAsociadosAProductosDT"
                             onstart="statusDialog2.show();"
                             action="#{managedBeanParam.aceptarRegistroDepuracionGeografica}"
                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, descripcionDepuracionGeograficalWV, false);"
                             icon="ui-icon ui-icon-disk"/>

        </h:panelGrid>

    </p:fieldset>

</h:form>

